Skip to main content
POST
/
cabinet
/
auth
/
merge
/
{merge_token}
Execute Merge Endpoint
curl --request POST \
  --url https://api.example.com/cabinet/auth/merge/{merge_token} \
  --header 'Content-Type: application/json' \
  --data '
{
  "keep_subscription_from": 123
}
'
{
  "success": true,
  "access_token": "<string>",
  "refresh_token": "<string>",
  "user": {
    "id": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "telegram_id": 123,
    "username": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "email": "<string>",
    "email_verified": false,
    "balance_kopeks": 0,
    "balance_rubles": 0,
    "referral_code": "<string>",
    "language": "ru",
    "auth_type": "telegram"
  }
}

Path Parameters

merge_token
string
required
Required string length: 32 - 64

Body

application/json
keep_subscription_from
integer
required

User ID whose subscription to keep

Response

Successful Response

success
boolean
required
access_token
string | null
refresh_token
string | null
user
UserResponse · object

User data response.